@import "@/assets/styles/abstracts/mixins";
@import "@/assets/styles/abstracts/mixins";


 .event-item{
    padding: 0 2rem ;
    background-color: white;
    border-radius: 2.4rem;
    height: 17.2rem;
    width: 28rem;
    @include flex-container(center,center,column);
    box-shadow: $shadow;
    margin-right: 1.5rem;  
    margin-bottom: 1.5rem;
 }


.event-item-filled{
    width: 100%
}

.event-item-filled__details{
    @include flex-container(space-between,center,row);
    margin-bottom: 1.6rem;
}
.details__event-name{
    font-size: 1.8rem;
    font-weight: 700;
  
}

.details__event-icon{
    padding: .8rem .35rem;
    font-size: 1.8rem;
   
}
.event-item-filled__description{
    color: #6B6B6B;
    font-size: 1.4rem;
    font-weight: 400;
    margin-bottom: 3rem;
}

.event-item-filled__line{
    background-color: rgba(236, 240, 240, 0.75);
    width: 100%;
    height: .2rem;
    border-radius: 1rem;
    margin-bottom: 2.6rem;
}
.event-item-filled__date{
    @include flex-container(space-evenly,center,row);
    padding: 0 3rem;
    margin-bottom: .5rem;
    
}
.date__time{
    @include flex-container(center,center,row)
    
}
.date__time:first-child{
    margin-left: 1.6rem;
}
.date-time__text{
    font-size: 1.5rem;
    font-weight: 400;
    color: #5B5E69;
}
.date-time__icon{
    width: 2rem;
    height: 2rem;
    margin-left: .5rem;
}


 @include respond-to (medium-desktop) {
    
     .event-item{
        border-radius: 1.6rem;
        height: 20.2rem;
        width: 28.5rem;
        margin-right: 1.2rem;  
        margin-bottom: 2rem;
     }
     .event-item-filled__img{
        width: 17.5rem;
        height: 15rem;
        border-radius: 1rem;
        margin-bottom: .9rem;
    }
    .event-item-filled__details{
        margin-bottom: 1.2rem;
    }
    .details__event-name{
        font-size: 1.3rem;
      
    }
    
    .details__event-icon{
        padding: .6rem .15rem;
        font-size: 1.3rem;
       
    }
    .event-item-filled__description{
        font-size: 1rem;
        margin-bottom: 1.8rem;
    }
    
    .event-item-filled__line{
        width: 15rem;
        height: .15rem;
        margin-bottom: 1.9rem;
    }
    .event-item-filled__date{
        margin-bottom: 2rem;
        
    }
    
    .date__time:first-child{
        margin-left: 1.2rem;
    }
    .date-time__text{
        font-size: 1.15rem;
    }
    .date-time__icon{
        width: 1.5rem;
        height: 1.5rem;
        margin-left: .3rem;
    }
    .event-item-filled__event-type{
        font-size: 1.2rem;
        padding: .2rem .6rem;
        margin-bottom: 1rem;
    }
 }
 @include respond-to(mobile){
   
    .event-item{
        height: 14rem;
        width: 19rem;
        margin-right: 1.2rem;  
        margin-bottom: 2rem;
     }
     .event-item-filled__details{
        @include flex-container(space-between,center,row);
        margin-bottom: 1.2rem;
    }
    .event-item-filled__description{
        margin-bottom: 1.5rem;
    }
    .event-item-filled__line{
       display: none;
    }
    .event-item-filled__event-type{
        display: none;
    }
    .event-item-filled__description{
        text-overflow: ellipsis;
        white-space: nowrap;
    }
    .event-item.event-item--empty{
        height: 10rem;
        min-width: 100%;
        margin-right: 0;
        
    }
    

 }


